pcl::poisson::SortedTreeNodes::CornerIndices Struct Reference

`#include <pcl/surface/3rdparty/poisson4/multi_grid_octree_data.h>`

## Public Member Functions

| CornerIndices (void)
int & | operator[] (int i)
const int & | operator[] (int i) const

## Public Attributes

int | idx [pcl::poisson::Cube::CORNERS]

## Detailed Description

Definition at line 123 of file multi_grid_octree_data.h.

## Constructor & Destructor Documentation

## CornerIndices()

pcl::poisson::SortedTreeNodes::CornerIndices::CornerIndices | ( | void |  | ) |

inline

Definition at line 126 of file multi_grid_octree_data.h.

References pcl::poisson::Cube::CORNERS.

## Member Function Documentation

## operator[]() [1/2]

int& pcl::poisson::SortedTreeNodes::CornerIndices::operator[] | ( | int | i | ) |

inline

Definition at line 127 of file multi_grid_octree_data.h.

## operator[]() [2/2]

const int& pcl::poisson::SortedTreeNodes::CornerIndices::operator[] | ( | int | i | ) | const

inline

Definition at line 128 of file multi_grid_octree_data.h.

## Member Data Documentation

## idx

int pcl::poisson::SortedTreeNodes::CornerIndices::idx[pcl::poisson::Cube::CORNERS]

Definition at line 125 of file multi_grid_octree_data.h.

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/poisson4/multi_grid_octree_data.h